Skip to main content
Resource Center/Elastic Bare Metal Management(Plus)

InspectBareMetal2ChassisByInstance

InspectBareMetal2ChassisByInstance

PUT/zstack/v1/baremetal2/bm-instances/{uuid}/actions

Operation ID

InspectBareMetal2ChassisByInstance

Since

5.2.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

application/json

Path Parameters

  • uuid
    StringRequired

    The resource UUID.

Body Fields

  • systemTags
    List

    Optional. The system tags.

  • userTags
    List

    Optional. The user tags.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • success
    booleanRequired

    Whether the operation succeeded.

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventory
    BareMetal2ChassisInventoryRequired

    See inventory

    • uuid
      StringRequired

      The resource UUID.

    • name
      StringRequired

      The resource name.

    • description
      String

      Optional. The detailed description of the resource.

    • zoneUuid
      StringRequired

      The zone UUID.

    • clusterUuid
      StringRequired

      The cluster UUID.

    • chassisOfferingUuid
      StringRequired

      The elastic baremetal offering UUID.

    • type
      StringRequired

      The type.

    • state
      StringRequired

      The state.

    • status
      StringRequired

      The distribution status.

    • powerStatus
      StringRequired

      The power status.

    • createDate
      TimestampRequired

      The creation time.

    • lastOpDate
      TimestampRequired

      The last operation time.

    • chassisNics
      ListRequired

      See chassisNics

      • uuid
        StringRequired

        The resource UUID.

      • chassisUuid
        StringRequired

        The baremetal node UUID.

      • mac
        StringRequired

        The NIC MAC address.

      • speed
        StringRequired

        The NIC speed.

      • isProvisionNic
        BooleanRequired

        Whether the NIC is a provision NIC or not.

      • createDate
        TimestampRequired

        The creation time.

      • lastOpDate
        TimestampRequired

        The last operation time.

    • chassisDisks
      ListRequired

      See chassisDisks

      • uuid
        StringRequired

        The resource UUID.

      • chassisUuid
        StringRequired

        The baremetal node UUID.

      • diskSize
        LongRequired

        The disk size (Unit: byte).

      • type
        StringRequired

        The disk type.

      • createDate
        TimestampRequired

        The creation time.

      • lastOpDate
        TimestampRequired

        The last operation time.

    • chassisOffering
      BareMetal2ChassisOfferingInventoryRequired

      See chassisOffering

      • uuid
        StringRequired

        The resource UUID.

      • name
        StringRequired

        The resource name.

      • description
        StringRequired

        The detailed description if the resource.

      • architecture
        StringRequired

        The CPU architecture.

      • cpuModelName
        StringRequired

        The CPU model.

      • cpuNum
        IntegerRequired

        The CPU cores.

      • memorySize
        LongRequired

        The memory size.

      • bootMode
        StringRequired

        The status.

      • state
        StringRequired

        The state.

      • createDate
        TimestampRequired

        The creation time.

      • lastOpDate
        TimestampRequired

        The last operation time.